<nz-layout>
  <nz-content class="no-margin">
    <div class="">
      <app-img-header></app-img-header>
    </div>
  </nz-content>
</nz-layout>

<nz-content>
  <div class="inner-content">
    <div nz-row>
      <div nz-col nzXs="24" nzSm="24" nzMd="24">
        <div class="info">
          <h1>Ajouter une question</h1>
          <p class="lead">La communauté est la pour vous aider avec des problème spécifiques de codage,
            d'algorithme ou de langue.</p>
        </div>
      </div>
    </div>
    <div class="" nz-row>
      <div nz-col [nzSpan]="24">
        <nz-card class="card-addq">
          <div class="layout-card">
            <!-- START FORM ADD QUESTION-->
            <form nz-form [formGroup]="validateForm" class="login-form" (ngSubmit)="submitForm()">
              <div nz-row>
                <div nz-col nzXs="24" nzSm="24" nzMd="24">
                  <nz-form-item>
                    <nz-form-label class="label-form" [nzSpan]="null">Titre</nz-form-label><br>
                    <small>Soyez précis et imaginez que vous posez une question à une autre personne</small>
                    <nz-form-control nzErrorTip="Veuillez saisir un titre !">
                      <nz-input-group nzPrefixIcon="user">
                        <input formControlName="titre" id="titre" nz-input formControlName="titreForum"
                          placeholder="Titre" />
                      </nz-input-group>
                    </nz-form-control>
                  </nz-form-item>
                </div>
              </div>
              <div nz-row>
                <div nz-col nzXs="24" nzSm="24" nzMd="24">
                  <nz-form-item>
                    <nz-form-label class="label-form" [nzSpan]="null">Contenue du message</nz-form-label><br>
                    <small>Inclure toutes les informations dont quelqu'un aurait besoin pour répondre à votre question</small>
                    <nz-form-control nzErrorTip="Veuillez saisir le contenue de votre question .. !">
                      <nz-input-group nzPrefixIcon="lock">
                        <textarea type="content" id="content" nz-input formControlName="content" nz-input rows="4"
                          placeholder="Contenue"></textarea>
                      </nz-input-group>
                    </nz-form-control>
                  </nz-form-item>
                </div>
              </div>

              <div nz-row>
                <div nz-col nzXs="24" nzSm="24" nzMd="24">
                  <nz-form-item>
                    <nz-form-label class="label-form" [nzSpan]="null">Liste des tags</nz-form-label><br>
                    <small>Ajoutez jusqu'à 5 balises pour décrire l'objet de votre question</small>
                    <nz-form-control nzErrorTip="Veuillez attribuer au moins un tag !">
                      <nz-select nzMode="tags" nzPlaceHolder="Tag Mode" formControlName="listOfTagOptions">
                      </nz-select>
                    </nz-form-control>
                  </nz-form-item>
                </div>
              </div>

              <div nz-row>
                <div nz-col nzXs="24" nzSm="24" nzMd="24">
                  <nz-form-label class="label-form" [nzSpan]="null">Upload de fichiers</nz-form-label><br>
                    <small>Ajoutez jusqu'à 3 images pour décrire plus en détails votre question</small>
                  <div class="clearfix">
                    <nz-upload nzAction="https://jsonplaceholder.typicode.com/posts/" nzListType="picture-card"
                      [(nzFileList)]="fileList" [nzShowButton]="fileList.length < 3" [nzShowUploadList]="showUploadList"
                      [nzPreview]="handlePreview">
                      <i nz-icon nzType="plus"></i>
                      <div class="ant-upload-text">Upload</div>
                    </nz-upload>
                    <nz-modal [nzVisible]="previewVisible" [nzContent]="modalContent" [nzFooter]="null"
                      (nzOnCancel)="previewVisible = false">
                      <ng-template #modalContent>
                        <img [src]="previewImage" [ngStyle]="{ width: '100%' }" />
                      </ng-template>
                    </nz-modal>
                  </div>
                </div>
              </div>

              <!--  <div nz-row>
                <div nz-col nzSpan="12" nzOffset="6">
                  <nz-form-item>
                    <nz-form-control nzErrorTip="Veuillez saisir votre mot de passe !">
                      
                    </nz-form-control>
                  </nz-form-item>
                </div>
              </div>

              <div nz-row>
                <div nz-col nzSpan="12" nzOffset="6">
                  <nz-form-item>
                    <nz-form-control nzErrorTip="Veuillez saisir votre mot de passe !">
                    </nz-form-control>
                  </nz-form-item>
                </div>
              </div> -->


              <div nz-row>
                <div nz-col nzSpan="12" nzOffset="6">
                  <button nz-button nzType="primary" (click)="loadTwo()" [nzLoading]="isLoadingTwo">
                    <i nz-icon nzType="login"></i>Publier
                  </button>
                </div>
              </div>
            </form>
            <!-- END FORM ADD QUESTIO?-->
          </div>
        </nz-card>
      </div>
    </div>
  </div>
</nz-content>